Subject: [shim6] [Fwd: [Int-area] Name based sockets]

From: Brian E Carpenter <[email-masked]>
Date: Mon, 02 Aug 2010 16:10:43 +1200

Since this proposal includes major changes to SHIM6
and REAP, I wonder if people here have looked at it?

    Brian

-------- Original Message --------
Subject: [Int-area] Name based sockets
Date: Mon, 26 Jul 2010 19:47:08 +0200
From: Javier Ubillos <[email-masked]>
To: Internet Area Mailing List <[email-masked]>

Name Based Sockets
Draft: http://www.ietf.org/id/draft-ubillos-name-based-sockets-01.txt
Presentation:
http://www.sics.se/~jav/ietf78/namebasedsockets-IETF78-apps.pdf

Consider it a real "request for comments", because I do want comments.

Please note, that we inpractice presented two distinct things.
A. Name based sockets.
B. An improvement to shim6 (which is only possible using names)

I'll try to briefly address some of the questions I remmember:

* There are already solutions for all these problems
Yes, they are, and we want to help to deploy all those cool things.

* We should not require changes to applications
I'm not convinced, however, there are already several solutions that do
do this with surrogate/pseudo IPs.
Actually, nothing says that we couldn't do both.
Name based sockets is just an API to pre-existing cool solutions.

* What is a name?
My spontaneous answer is that a name is eiter just a session identifier,
or that it both that and an identifier for a particular ... something.

That's all I remmember offhand...

// Javier